---
- hosts: testservers
  vars:
    testvar1: testfile  # 引用 {{ testvar1 }}，若在开头位置，需要使用引号 "{{ testvar1 }}"
    # - testvar1: testfile
    # test:
    #   var1: testfile  # 引用 {{ test.var1 }}
  remote_user: root
  tasks:
  - name: create file {{ testvar1 }}
    file:
      path: /tmp/{{ testvar1 }}
      # path={{ testvar1 }}  # 当使用`等号`为模块的参数赋值时，则不用考虑引用变量时是否使用`引号`的问题
      state: touch
